Contents

IntelliJ & Android Studio

Dart插件为JetBrains IDE(例如IntelliJ IDEA和Android Studio)添加了Dart支持. IntelliJ IDEA是一种智能Java IDE,支持许多其他语言和框架. Android Studio是基于IntelliJ IDEA的IDE,可用于Android和Flutter开发.

无论选择为Dart开发选择哪种JetBrains IDE,此页面都有可帮助您快速入门并在需要时查找更多信息的资源.

Getting started

如果您还没有IDE和Dart SDK,请获取它们. 然后安装Dart插件,并告诉它在哪里可以找到Dart SDK.

Downloading the IDE

如果您还没有JetBrains IDE,请安装它.

Downloading the Dart SDK

如果您还没有Dart SDK,请安装它.

Configuring Dart support

这是配置Dart支持的一种方法:

  1. 启动IDE,然后安装Dart插件. 要找到Dart插件,请从"欢迎"屏幕中选择" 配置">"插件" ,然后单击" 安装JetBrains插件" ,然后搜索或向下滚动直到找到Dart . 安装Dart插件后,请重新启动IDE.

  2. 创建一个新的Dart项目:

    1. 在"欢迎"屏幕中,单击" 创建新项目" .
    2. 在下一个对话框中,点击Dart .

  3. 如果看不到Dart SDK路径的值,请输入该值.

    例如,SDK路径可能是<dart installation directory> /dart/dart-sdk .

步骤2的替代方法是打开一个现有的Dart项目,然后打开其pubspec.yaml文件或其任何Dart文件.

Reporting issues

请通过Dart的官方JetBrains问题跟踪器报告问题和反馈. 包括预期行为,实际行为和适当的屏幕截图的详细信息.

More information

有关更多信息,请参见JetBrains网站.

by  ICOPY.SITE